import 'package:flutter/services.dart';

import '../print/print.dart';
import 'names.dart';

class ChannelManager {
  static Future<void> getCallLog(String param) async {
    MethodChannel channel = MethodChannel(getChannelName(kGetCallLog));
    try {
      final result = await channel.invokeMethod(kGetCallLog, param);
      yjPrint(result);
    } on PlatformException catch (e) {
      yjPrint('$kGetCallLog 发生异常:$e');
    }
  }
}